# $file.localdir

Get the KVIrc local directory

Syntax

    $file.localdir(<relative_path>)
    $file.localdir

Description

Returns the path to the KVIrc local data directory.
The KVIrc local data directory is always writeable and contains the various subdirectories that KVIrc uses internally: audio , avatars , config , help , incoming , log , modules , msgcolors and pics.
If <relative_path> is passed , then it is appended at the end of the directory to form a complete filepath.
The path is adjusted to contain single separators suitable for the platform that KVIrc is atually running on (thus you not need to care about path separators in the <relative_path> , KVIrc will adjust them).

Examples

        echo KVIrc looks for pictures in $file.localdir(pics)
        echo panic.png would be translated to $file.localdir(pics/panic.png)

See also
[fnc]$file.readbinary[/file]

Main index, Function index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004